package Sophos::Reports::Graphic::Lines;

use strict;
use warnings;
use base q(GD::Graph::lines);
use GD::Graph::axestype;
use GD qw(gdBrushed);

return 1;

sub draw_legend_marker {
    GD::Graph::axestype::draw_legend_marker(@_);
}

sub draw_line # ($xs, $ys, $xe, $ye, $type, $colour_index)
{
    my($self, $xs, $ys, $xe, $ye, $type, $clr) = @_;
    $self->{graph}->line($xs, $ys, $xe, $ye, $clr);
    if($self->{line_width} > 1) {
        my $lw = ($self->{line_width})/2;
        for my $ixs ($xs - $lw .. $xs + $lw) {
            for my $ixe ($xe - $lw .. $xe + $lw) {
                for my $iys ($ys - $lw .. $ys + $lw) {
                    for my $iye ($ye - $lw .. $ye + $lw) {
                        my($axs, $ays, $axe, $aye) = ($ixs, $iys, $ixe, $iye);
                        $axs = $self->{left} if $axs < $self->{left};
                        $ays = $self->{top} if $axs < $self->{top};
                        $axe = $self->{right} if $axe > $self->{right};
                        $aye = $self->{bottom} if $aye > $self->{bottom};
                        $self->{graph}->line($axs, $ays, $axe, $aye, $clr);
                    }
                }
            }
        }
        
    }
}
