package Sophos::Reports::ReportFactory;
use strict;
use warnings;

sub create {
    my ($class, %opts) = @_;

    my $report_id  = $opts{report_id};
    $report_id =~ s/__/::/g;

    my $report_class = "Sophos::Reports::Report::$report_id";
    eval "require $report_class;";
    if ($@) {
        die(qq{Failed to locate class for report $report_id: $@\n});
    }
    my $report = $report_class->new(%opts);

    return $report;
}

1;
