package Sophos::Reports::TimePeriods;

use strict;
use warnings;
use base qw(Exporter);


our $hour		= 3600;
our $day		= $hour * 24;
our $week		= $day * 7;
our $month		= $week * 4;
our $year		= $week * 52;
our $adjustment         = 300;

our @EXPORT_OK = qw(
    get_day get_week get_year
    get_month get_three_months
    get_six_months get_adjustment
    get_hour
);


sub get_year {
        return $year; 
}

sub get_six_months {
	return ($month * 6);
}

sub get_three_months {
        return ($month * 3);
}

sub get_month {
	return $month;
}

sub get_week {
	return $week;
}

sub get_day {
	return $day;
} 

sub get_six_hours {
	return ($hour * 6);
}

sub get_hour {
	return $hour;
}

sub get_adjustment {
    return $adjustment;
}

1;
=pod

=head1 NAME

Sophos::Reports::TimePeriods

=head1 SYNOPSIS

    use Sophos::Reports::TimePeriods;

    my $day = Sophos::Reports::Data::TimePeriods->get_day;
                                 

=head1 DESCRIPTION

Sophos::Reports::Data::TimePeriods is used to centrally store 
the time period values used throughout the reporting.

